<?php

namespace Teknisa\CADFIS\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\CADFIS\Factories\Ger16900CodigoFiscalOperacoesPrestacoesFactory;

class Ger16900CodigoFiscalOperacoesPrestacoesService {


    protected $entityManager;
    protected $ger16900codigofiscaloperacoesprestacoesfactory;

    function __construct(EntityManager $entityManager, Ger16900CodigoFiscalOperacoesPrestacoesFactory $ger16900codigofiscaloperacoesprestacoesfactory){
        $this->entityManager          = $entityManager;
        $this->ger16900codigofiscaloperacoesprestacoesfactory = $ger16900codigofiscaloperacoesprestacoesfactory;
    }
    
    
    public function salvaValidadeCfop($row){
      $params = array(
          'CDCFOPPADRAO' => $row['CDCFOPPADRAO'],
          'DTVDINICIAL'  => $row['DTVDINICIAL'],
          'DTVDFINAL' => $row['DTVDFINAL']
      );
      
      $retorno = $this->ger16900codigofiscaloperacoesprestacoesfactory->salvaValidadeCfop($params);
      return $retorno;
    }
}